//Brent Cowan    100233480

// Sept. 22 / 2007
// 3rd person camera with red/blue depth perception

#ifndef _Camera3D_
#define _Camera3D_

class Camera3D
{
private:
	float offset; //Distance from center of forehead to center of eye
	float focus;  //Focal point for 3D camera system
	float focusDir, offsetAmount;
	float RTD;

public:
	Camera3D(Core* G);
	void Activate(); //Updates the camera
	void LookAt(Vector3D target);

	float rotY; //Current Rotation
	float rotX;
	Vector3D position;
	Vector3D vector;   //normalized direction vector
	Vector3D strafe;   //normalized direction vector
	Vector3D up;   //normalized direction vector

	static Core* G;
};

#endif