#include "EngineCore.h"

//Standard libraries
#include <vector>          //standard vectors
#include <list>            //standard vectors
#include <fstream>         //Loading and saving files
using namespace std;

//Graphics
#include "Texture.h"       //abstract class for all types of textures
#include "Image.h"         //Image loading provided by DevIL
#include "ShaderClass.h"
#include "Materials.h"     //Container for everything material

//2D Rendering Classes
#include "Sprite.h"
#include "Font.h"
#include "TextBox.h"
#include "Camera2D.h"

//3D Rendering Classes
#include "SkyBox.h"
#include "Camera3D.h"
#include "ModelOBJ.h"