//Brent Cowan - Sept. 26/2007

#ifndef IMAGE_H
#define IMAGE_H

class Image : public TextureClass
{
private:
	static bool init;
	bool clamp;
	GLint  components;
	GLubyte* data;
public:
	Image();
	~Image();
	bool Load(const char *FileName);
	void Activate();
	void Clamp();  //clamp texture to edge to hide seam
	float GetData(float U, float V, unsigned char component);
	void Step();

	int width,height;
	GLuint GL_ID;
	bool isNormal;
	bool keepData;
	bool erase;
};

#endif