// Brent Cowan Jan. 25 / 2007

#ifndef _OBJ_Loader_
#define _OBJ_Loader_

struct Face3I
{
	unsigned short va,vb,vc, na,nb,nc, ta,tb,tc;
};

struct TextureUV
{
	float u,v;
};

Vector3D CalculateTan(Vector3D N, Vector3D Va, Vector3D Vb, Vector3D Vc, TextureUV Ta, TextureUV Tb, TextureUV Tc);

class ModelOBJ
{
private:
	vector<GLuint> vertexO, normalO, textureO;

public:
	ModelOBJ();
	~ModelOBJ();
	bool Load(const char * file_name);
	void UnLoad();
	bool AppendFrame(const char * file_name, const char * frame_name);
	bool ExportG3D(const char * file_name);
	void Render();

	float scale;
	Vector3D boxMin, boxMax;
	GLushort frames;

	GLuint  sizeI, sizeV;
	GLuint* ArrayI;
	GLfloat*  ArrayV;
	GLfloat*  ArrayN;
	GLfloat*  ArrayT;
	GLfloat*  ArrayS;
};

#endif