// Brent Cowan Jan. 25 / 2007
// Calculate FPS and elapsed time
// Also applies a smoothing algorithm to the time because most system count it in descrete
// portions or 20 to 40 ticks.

#ifndef _TimeManager_
#define _TimeManager_

#define DLL_EXPORT
#if defined DLL_EXPORT
#define DECLDIR __declspec(dllexport)
#else
#define DECLDIR __declspec(dllimport)
#endif

class DECLDIR TimeManager
{
private:
	float FPS_INTERVAL;
	int lastTime;
	int thisTime;
	int frame;
	float fpsTime;
	bool flag;
	float FPS;
	float elapsedTime;
	float SmoothElapsedTime;

public:
	TimeManager();
	void Step();
	float GetElapsedTime();
	float GetFramesPerSecond();
};

#endif