//Brent Cowan - May. 23 / 2010

#ifndef _Camera2D_
#define _Camera2D_


class Camera2D
{
private:
	Vector2D position;
	Vector2D offset;
	float    rotation;
	float    zoom;
	float    vibration;
	float    wobble;
	float    wobbleTimer;
	Vector2D wobbleVector;
	Vector2D wobbleSmooth;

public:
	Camera2D(Core* G);
	void Activate();
	void Deactivate();
	Vector2D ScreenSpaceToCamera(Vector2D position);

	Vector2D GetPosition();
	Vector2D GetOffset();
	float    GetRotation();
	float    GetZoom();
	float    GetVibration();
	float    GetWobble();

	void     SetPosition(Vector2D position);
	void     SetOffset(Vector2D offset);
	void     SetRotation(float rotation);
	void     SetZoom(float zoom);
	void     SetVibration(float vibration);
	void     SetWobble(float wobble);

	static Core* G;
};

#endif