
#include "stdafx.h"
#include "EngineCore.h"

DECLDIR WindowManager    Core::Window;
DECLDIR TimeManager      Core::Timer;
DECLDIR RenderingManager Core::Renderer;
DECLDIR KeyboardManager  Core::Keyboard;
DECLDIR MouseManager     Core::Mouse;
DECLDIR JoystickManager  Core::Joystick;

DECLDIR Core::Core()
{
	init = glfwInit()>0; //Start the engine
	Renderer.Init(&Window, &Timer, &Keyboard, &Mouse, &Joystick);
}

DECLDIR Core::~Core()
{
	Window.Close();
	glfwTerminate();
}