
#ifndef _KeyboardManager_
#define _KeyboardManager_

#define DLL_EXPORT
#if defined DLL_EXPORT
#define DECLDIR __declspec(dllexport)
#else
#define DECLDIR __declspec(dllimport)
#endif

class DECLDIR KeyboardManager
{
private:
	bool keyDown[96];		// Holds TRUE / FALSE For Each Key
	bool keyPrevious[96];
	bool specialDown[62];
	bool specialPrevious[62];
	char shiftCharacter[84];
	int i;

public:
	KeyboardManager();
	void Step();
	int CorrectCase(int character);

	bool GetKeyPress(int key);
	bool GetKeyHold(int key);
	bool GetKeyRelease(int key);
};

#endif	