//Brent Cowan - May. 19 / 2008

#ifndef _Materials_
#define _Materials_

#include "Properties.h"    //Color, Shine, Blending, ect...

class MaterialClass
{
private:
	static GLushort materials;
	static GLushort current;
	GLushort ID;
public:
	MaterialClass();
	void Activate();
	static void Deactivate();
	
	MaterialProperties Properties;
	ShaderClass* Shader;
	TextureClass* Texture[3];
	GLubyte textures;
};

#endif