//Brent Cowan - May. 19 / 2008

#ifndef _ShaderClass
#define _ShaderClass

//#include "GLFW/IncludesGLFW.h"
//#include "Extensions.h"

#include "Vector3D.h"

class ShaderClass
{
private:
	char* LoadShader(char *shaderName);

	GLhandleARB glVertexShader;
	GLhandleARB glPixelShader;
	GLuint tex[3];
	GLuint v[5];
	GLhandleARB shaderProgram;

public:
	ShaderClass();
	~ShaderClass();
	bool LoadFromFile(char *vertexShader, char *pixelShader, bool debug);
	void Activate();
	void Deactivate();
	void Update();

	GLubyte textures;
	Vector3D vec[5];
	float f[5];
};

#endif